Role Definitions - Create Or Update
Rol tanımı oluşturur veya güncelleştirir.
PUT https://management.azure.com/{scope}/providers/Microsoft.Authorization/roleDefinitions/{roleDefinitionId}?api-version=2022-04-01
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
role
|
path | True |
string |
Rol tanımının kimliği. |
|
scope
|
path | True |
string |
Rol tanımının kapsamı. |
|
api-version
|
query | True |
string minLength: 1 |
Bu işlem için kullanılacak API sürümü. |
İstek Gövdesi
| Name | Tür | Description |
|---|---|---|
| properties.assignableScopes |
string[] |
Rol tanımı atanabilir kapsamlar. |
| properties.description |
string |
Rol tanımı açıklaması. |
| properties.permissions |
Rol tanımı izinleri. |
|
| properties.roleName |
string |
Rol adı. |
| properties.type |
string |
Rol türü. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 201 Created |
Tamam - Rol tanımı hakkındaki bilgileri döndürür. |
|
| Other Status Codes |
İşlemin neden başarısız olduğunu açıklayan hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Akışı
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
Create role definition
Örnek isteği
PUT https://management.azure.com/scope/providers/Microsoft.Authorization/roleDefinitions/roleDefinitionId?api-version=2022-04-01
{}
Örnek yanıt
{
"properties": {
"roleName": "Role name",
"type": "roletype",
"description": "Role description",
"assignableScopes": [
"/subscriptions/subId"
],
"permissions": [
{
"actions": [
"action"
],
"notActions": [],
"dataActions": [
"dataAction"
],
"notDataActions": []
}
]
},
"id": "/subscriptions/subID/providers/Microsoft.Authorization/roleDefinitions/roleDefinitionId",
"type": "Microsoft.Authorization/roleDefinitions",
"name": "roleDefinitionId"
}
Tanımlar
| Name | Description |
|---|---|
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata ayrıntısı. |
|
Error |
Hata yanıtı |
| Permission |
Rol tanımı izinleri. |
|
Role |
Rol tanımı. |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorDetail
Hata ayrıntısı.
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi. |
ErrorResponse
Hata yanıtı
| Name | Tür | Description |
|---|---|---|
| error |
Hata nesnesi. |
Permission
Rol tanımı izinleri.
| Name | Tür | Description |
|---|---|---|
| actions |
string[] |
İzin verilen eylemler. |
| dataActions |
string[] |
İzin Verilen Veri eylemleri. |
| notActions |
string[] |
Reddedilen eylemler. |
| notDataActions |
string[] |
Reddedilen Veri eylemleri. |
RoleDefinition
Rol tanımı.
| Name | Tür | Description |
|---|---|---|
| id |
string |
Rol tanımı kimliği. |
| name |
string |
Rol tanımı adı. |
| properties.assignableScopes |
string[] |
Rol tanımı atanabilir kapsamlar. |
| properties.createdBy |
string |
Atamayı oluşturan kullanıcının kimliği |
| properties.createdOn |
string (date-time) |
Oluşturulduğu zaman |
| properties.description |
string |
Rol tanımı açıklaması. |
| properties.permissions |
Rol tanımı izinleri. |
|
| properties.roleName |
string |
Rol adı. |
| properties.type |
string |
Rol türü. |
| properties.updatedBy |
string |
Atamayı güncelleştiren kullanıcının kimliği |
| properties.updatedOn |
string (date-time) |
Güncelleştirilen zaman |
| type |
string |
Rol tanımı türü. |